﻿
$ErrorActionPreference = 'Stop';

$packageName= 'dotnetcore-sdk'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://download.visualstudio.microsoft.com/download/pr/68cfd778-d5ed-445c-bbf1-4afabe9dc51c/50f96be40ddc4b720ebe9f9190dc33e3/dotnet-sdk-2.1.615-win-x86.exe'
$checksum   = '02b1fa8824cf6580e629eda5ba17819e4d63bf1a0befe8316a3151f3c234d0beed8d9c09f796957f95df9ad92ee674e281317f4927193dee53fe96e50b8e6901'
$url64      = 'https://download.visualstudio.microsoft.com/download/pr/733a4966-e2ba-411a-900b-246f1a8de1b8/249674329aff308271440d6d6559ed8e/dotnet-sdk-2.1.615-win-x64.exe'
$checksum64 = '685603cb8494bd54c1756609d7eeaf6f36500e8de70023ce18c4d18e02fdb0f7001e2ea15b8e64cbe9f5c4b57eec238819c8ec670f81a18a3e0539e7ea1b34ac'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url
  url64bit      = $url64

  silentArgs    = "/install /quiet /norestart /log `"$env:TEMP\$($packageName)\$($packageName).MsiInstall.log`""
  validExitCodes= @(0, 3010, 1641)

  softwareName  = 'dotnet-core*'
  checksum      = $checksum
  checksumType  = 'SHA512'
  checksum64    = $checksum64
}

Install-ChocolateyPackage @packageArgs
